Subject: Re: Coverity: calibrate_8976(): Memory - illegal accesses

From: Kees Cook <[email-masked]>
Date: Tue, 29 Oct 2019 09:17:45 -0700

On Tue, Oct 29, 2019 at 09:37:57PM +0530, Amit Kucheria wrote:
> On Tue, Oct 29, 2019 at 9:30 PM Kees Cook <[email-masked]> wrote:
> >
> > On Mon, Oct 28, 2019 at 5:08 PM Gustavo A. R. Silva
> > <[email-masked]> wrote:
> > >
> > > Hi,
> > >
> > > This one has been addressed already:
> > >
> > > https://lore.kernel.org/lkml/CAK7fi1a8CiX=[email-masked]/
> > >
> >
> > Ah-ha, excellent. Colin, do you want me to CC you on these automatic
> > reports too?
> >
> 
> Hi Kees,
> 
> Is coverity being run just on linux-next or on mainline too? I've
> noticed it found at least one error that has existed for a long-time
> only when that code was moved around.

There is another public Coverity scan that runs the -rcX releases. Dave
Jones tends to operate that one, and I haven't attached any tooling to
that one. I wanted to see how noisy running against linux-next was
first...

-- 
Kees Cook